#!/bin/bash

input_directory="referenced/*"
output_file="referenced.csv"
temp_file="tmp.csv"
count=0

if [ -f $output_file ]; then
    rm $output_file
    echo "Commit file deleted."
fi

for file in $input_directory
do
	# ensure newline add end of file (see http://unix.stackexchange.com/a/31955)
	#sed -i '' -e '$a\' $file

	if [[ $count -eq 0 ]]
	then
		mv $file $output_file
	else
		tail -n +2 $file >> "$output_file"
		rm $file
	fi
	echo "Processed CSV: $file"
	count=$((count+1))
done

echo "$count CSVs processed."

#echo "Removing double quotes from CSV files..."  # due to BigQuery import problems 
#sed '/\"/ s///g' $output_file_c > $temp_file
#mv $temp_file $output_file_c
#sed '/\"/ s///g' $output_file_f > $temp_file
#mv $temp_file $output_file_f
#echo "Doube quotes removed."

echo "Removing empty lines from CSV files..."
sed '/^\s*$/d' $output_file > $temp_file
mv $temp_file $output_file
echo "Empty lines removed."

# http://stackoverflow.com/a/3746964
echo "Exported CSV has `wc -l $output_file | awk {'print $1'}` rows."

#echo "Compressing CSV file..."
#gzip -k "$output_file"
#echo "CSV file compressed."
